curl --request GET \
--url https://api.bevits.com/v1/purchases/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bevits.com/v1/purchases/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bevits.com/v1/purchases/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "purchase_stats",
"purchase_count": 1,
"customer_count": 1,
"revenue_in_cents": 123,
"average_ticket_in_cents": 123,
"currency": "BRL",
"mixed_currencies": true,
"group_by": "<string>",
"groups": [
{
"key": "<string>",
"purchase_count": 1,
"revenue_in_cents": 123,
"average_ticket_in_cents": 123
}
],
"groups_truncated": true
}{
"error": {
"type": "authentication_error",
"message": "Invalid API key.",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "validation_error",
"message": "Invalid query parameters.",
"param": "limit",
"request_id": "req_07f6cdc3c20249d6afcd90b4"
}
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
},
"retry_after": 2
}{
"error": {
"type": "authentication_error",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Aggregate purchases
Sums orders, revenue, average ticket, and unique customers using the same filters as the listing, with optional ranking by dimension, including UTM.
Authorizations
API key created in the organization settings.
Query Parameters
Filters purchases by customer.
^cus_[A-Za-z0-9_-]+$Filters by purchase payment status.
any, pending, authorized, paid, abandoned, refunded, voided Filters by source platform.
nuvemshop, shopify, woocommerce, bling, instagram, popup Includes items created at or after this instant.
Includes items created at or before this instant.
Minimum purchase amount in cents.
x >= 0Maximum purchase amount in cents.
x >= 0Filters by the order's utm_source.
256Filters by the order's utm_medium.
256Filters by the order's utm_campaign.
256Filters by the order's utm_content.
256Filters by the order's utm_term.
256Groups the result by a dimension and returns its ranking.
status, platform, currency, day, utm_source, utm_medium, utm_campaign, utm_content, utm_term Maximum number of groups returned.
1 <= x <= 50Response
Aggregated purchase metrics.
"purchase_stats"x >= 0x >= 0"BRL"
Show child attributes
Show child attributes